<script>
  import Navbar from "src/components/navbar.svelte";
  import GoogleMap from "src/components/googlemap/googlemap.svelte";
  import SaveLocation from "src/components/savelocation.svelte";
  import { insertLocationStore } from "src/localdb/db.js";
  import { onMount, afterUpdate } from "svelte";

  let pageName = "";
  let placeSearch = {};
  let latLng = { lat: null, lng: null };
  let setNewMap;
  let newlocal = {};
  let showInsertLocation = false;

  window.initGoogleMap = function ready() {
    app.$set({ ready: true });
  };

  insertLocationStore.subscribe(resp => {
    showInsertLocation = resp;
  });

  onMount(() => {});

  afterUpdate(() => {
    if (placeSearch) {
      const locationSearch = ((placeSearch || {})["geometry"] || {})[
        "location"
      ];
      if (locationSearch) {
        latLng = {
          lat: locationSearch.lat(),
          lng: locationSearch.lng()
        };
        setNewMap(latLng.lat, latLng.lng);
      }
    }
  });
</script>

<Navbar bind:placeSearch />
<SaveLocation/>
<GoogleMap
  bind:newlocal
  bind:setNewMap
  customClass="h-screen w-full relative"
  apiKey="AIzaSyAYb97AqAaPM_xNi93SAdcPdqi3miOy0sg" />
